unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

Uses
  ShellAPI,
  FileCtrl,
  QrToEnImg,
  Unit2;

function DELETE_FILES(Source : string) : Boolean;
var
  FOS       : TSHFileOpStruct;
  ErrorCode : Integer;
  DelString : String;
  Str       : String;
begin
  Str := Copy(Source,Length(Source)-3,4);
  IF Str <> '\*.*' Then
    IF Not FileExists(Source) Then
      Exit;
  DelString := Source + #0#0;
  ZeroMemory(@FOS, sizeof(TSHFileOpStruct));
  Try
    with FOS do begin
      Wnd                   := Application.Handle;
      wFunc                 := FO_DELETE;
      pFrom                 := Pchar(DelString);
      fFlags                := FOF_ALLOWUNDO +
                               FOF_SIMPLEPROGRESS +
                               FOF_FILESONLY +
                               FOF_NOCONFIRMATION +
                               FOF_SILENT;
      lpszProgressTitle     := Pchar(Application.Title);
      fAnyOperationsAborted := True;
    end;
    ErrorCode := SHFileOperation(FOS);
    Result := (ErrorCode = 0);
  Except;
    Result := False;
  End;
end;

procedure TForm1.Button1Click(Sender: TObject);
Const
  JpgMultiFileName : String = 'TstJpg*.Jpg';
  JpgFileName      : String = 'TstJpg.Jpg';
  TifFileName      : String = 'TstTif.Tif';
Var
  JpgList  : TStringList;
  Filename : String;
begin
  QuickReport2.Prepare;

  {Now Create TIF File From Quick Report}
  Filename := ExtractFilePath(Application.ExeName) + TifFileName;

  IF FileExists(FileName) Then
    DeleteFile(FileName);
  CreateTIFFromQR(QuickReport2.QRPrinter,FileName);

  {Now Create JPG File From Quick Report}
  Filename := ExtractFilePath(Application.ExeName) + JpgMultiFileName;
  IF FileExists(FileName) Then
    DELETE_FILES(FileName);

  Filename := ExtractFilePath(Application.ExeName) + JpgFileName;
  JpgList := TStringList.Create;
  Try
    CreateJPGFromQR(QuickReport2.QRPrinter,FileName,JpgList);
  Finally
    JpgList.Free;
  End;
  ShowMessage('Done !')
end;

end.
